Bug 38471 - missing name attributes in forms
Summary: missing name attributes in forms
Status: REOPENED
Alias: None
Product: Lenya
Classification: Unclassified
Component: Miscellaneous (show other bugs)
Version: Trunk
Hardware: Other other
: P2 normal
Target Milestone: 2.0.1
Assignee: Lenya Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-01 10:25 UTC by Simon Litwan
Modified: 2007-07-16 03:05 UTC (History)
0 users



Attachments
adds name attribut to form elements (77.07 KB, patch)
2006-02-01 10:26 UTC, Simon Litwan
Details | Diff
adds id attribut to form elements and name attributes to buttons (69.05 KB, patch)
2006-02-02 14:54 UTC, Simon Litwan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Litwan 2006-02-01 10:25:09 UTC
in a lot of forms the form element and the submit/button elements doesn't have a
name attribute.
Comment 1 Simon Litwan 2006-02-01 10:26:12 UTC
Created attachment 17558 [details]
adds name attribut to form elements

adds name attribute to form, submit and button elements.
Comment 2 Andreas Hartmann 2006-02-01 10:57:30 UTC
I applied the patch to 1.2.5-dev. Thanks a lot!

I'm not closing the bug, since we should apply the changes to 1.4-dev as well.
Comment 3 Simon Litwan 2006-02-02 14:54:04 UTC
Created attachment 17572 [details]
adds id attribut to form elements and name attributes to buttons

adds id attributes to the form elements and a name attribute to input elements
type=submit/button
Comment 4 Andreas Hartmann 2006-02-02 15:03:55 UTC
I applied the patch. Thanks a lot!
Comment 5 Doug Chestnut 2006-02-07 05:35:29 UTC
I think this patch broke the AC Live and AC Auth usecases in 1.4.

Seems there is two sets of name attributes on some of the inputs:
<input i18n:attr="value" type="submit" name="addCredential_user" value="Add"
name="input-add"/>

What is the bug?  Does the form and submit elements need the same name attributes?
Comment 6 Doug Chestnut 2006-02-07 06:15:50 UTC
rolled back change on ac.jx
please advise if I have reintroduced bug